org.apache.commons.compress.harmony.pack200

## Class NewAttributeBands.Callable

- java.lang.Object
- - org.apache.commons.compress.harmony.pack200.NewAttributeBands.Callable

- All Implemented Interfaces:
    NewAttributeBands.AttributeLayoutElement
  Enclosing class:
    NewAttributeBands

      public class NewAttributeBands.Callable
      extends Object
      implements NewAttributeBands.AttributeLayoutElement

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Callable(List<NewAttributeBands.LayoutElement> body)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAttributeToBand(NewAttribute attribute, InputStream inputStream)`
    `void` | `addBackwardsCall()`
    `List<NewAttributeBands.LayoutElement>` | `getBody()`
    `boolean` | `isBackwardsCallable()`
    `void` | `pack(OutputStream outputStream)`
    `void` | `renumberBci(IntList bciRenumbering, Map<org.objectweb.asm.Label,Integer> labelsToOffsets)`
    `void` | `setBackwardsCallable()` Tells this Callable that it is a backwards callable
    `void` | `setBackwardsCallableIndex(int backwardsCallableIndex)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Callable

          public Callable(List<NewAttributeBands.LayoutElement> body)

  - ### Method Detail

    - #### addAttributeToBand

          public void addAttributeToBand(NewAttribute attribute,
                                         InputStream inputStream)

      Specified by:
        `addAttributeToBand` in interface `NewAttributeBands.AttributeLayoutElement`

    - #### addBackwardsCall

          public void addBackwardsCall()

    - #### getBody

          public List<NewAttributeBands.LayoutElement> getBody()

    - #### isBackwardsCallable

          public boolean isBackwardsCallable()

    - #### pack

          public void pack(OutputStream outputStream)
                    throws IOException,
                           Pack200Exception

      Specified by:
        `pack` in interface `NewAttributeBands.AttributeLayoutElement`
      Throws:
        `IOException`
        `Pack200Exception`

    - #### renumberBci

          public void renumberBci(IntList bciRenumbering,
                                  Map<org.objectweb.asm.Label,Integer> labelsToOffsets)

      Specified by:
        `renumberBci` in interface `NewAttributeBands.AttributeLayoutElement`

    - #### setBackwardsCallable

          public void setBackwardsCallable()

      Tells this Callable that it is a backwards callable

    - #### setBackwardsCallableIndex

          public void setBackwardsCallableIndex(int backwardsCallableIndex)

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.